package cn.wise.sc.consume.business.entity.cmbnoenet.model;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * @description: 招行一卡通 请求数据域
 * @author: qh
 * @create: 2020-04-09 09:57
 **/
@Data
public class CMBOneNetRequestDataModel {

	@JSONField(ordinal = 1)
	private Header head;

    /**
     * 业务具体参数  要求加密RSA
     */
    @JSONField(ordinal = 2)
    private String body;


    /**
     * 请求头部
     */
    @Data
    public class Header {

        /**
         * 接口版本号  固定为1.0
         */
        public String vernbr = "1.0";

        /**
         * 商户号 由招行分配
         */
        public String tppidc;

        /**
         * 交易码 请求功能码，用以区分所进行的交易。区分大小写
         */
        public String trscod = "FMORDSUB";

        /**
         * 请求时间 格式：yyyyMMddHHmmss精确到秒
         */
        public String reqtim;

        /**
         * 报文ID 用以标明报文的唯一性，返回报文原样返回
         */
        public String msgidc;

        /**
         * 签名算法 固定为“SHA256WithRSA
         */
        public String sigalg = "SHA256WithRSA";

    }
}
